// Mono shaders
// By Mr. Lake

textures/mono/mono_sky
{
	qer_editorimage textures/mono/clouds.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	q3map_sun .975 .9625 0.95 75 320 80
	q3map_surfacelight 200
	skyparms textures/mono/mono_skybox - -
	{
		map textures/mono/clouds.tga
		blendFunc add
		tcMod scroll 0.01 0.005
		tcMod scale 3 2
	}
}

textures/mono/metal_copper
{
	surfaceparm metalsteps
	nopicmip
        {
		map textures/mono/env_metal_sheen.tga
                tcgen environment
		rgbGen identity
	}
	{
		map textures/mono/metal_copper.tga
		blendFunc blend
		rgbGen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendFunc filter
	}
}

textures/mono/metal_scratched_pewter
{
    q3map_surfaceLight 150
    {
		map textures/mono/env_metal_sheen.tga
                tcgen environment
		rgbGen identity
	}
	{
		map textures/mono/metal_scratched_pewter.tga
		blendFunc blend
		rgbGen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendFunc filter
	}
}

textures/mono/metal_scratched_pewterdiamonds
{
	surfaceparm metalsteps
	nopicmip
        {
		map textures/mono/env_metal_sheen.tga
                tcgen environment
		rgbGen identity
	}
	{
		map textures/mono/metal_scratched_pewterdiamonds.tga
		blendFunc blend
		rgbGen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendFunc filter
	}
}

textures/mono/metal_scratched_pewterpainted
{
    q3map_surfaceLight 300
    {
		map textures/mono/env_metal_sheen.tga
                tcgen environment
		rgbGen identity
	}
	{
		map textures/mono/metal_scratched_pewterpainted.tga
		blendFunc blend
		rgbGen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendFunc filter
	}
}

textures/mono/metal_scratched_pewterxpatern
{
	surfaceparm metalsteps
	nopicmip
        {
		map textures/mono/env_metal_sheen.tga
                tcgen environment
		rgbGen identity
	}
	{
		map textures/mono/metal_scratched_pewterxpatern.tga
		blendFunc blend
		rgbGen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendFunc filter
	}
}

textures/mono/metal_iron_holes
{
	surfaceparm metalsteps
	nopicmip
        {
		rgbGen identity
		map $lightmap
	}
	{
		map textures/mono/metal_iron_holes.tga
		blendFunc gl_dst_color gl_src_alpha
		rgbGen identity
		alphaGen lightingSpecular
	}
        {
		map textures/mono/env_metal_sheen.tga
                tcgen environment
		blendFunc add
		rgbGen identity
	}
        {
		map textures/mono/metal_iron_holes.tga
                blendFunc gl_dst_color gl_zero
		rgbGen identity
	}
}

textures/mono/metal_light_ceiling
{
	q3map_surfacelight 500
	surfaceparm nomarks
	nopicmip
	{
		map textures/mono/env_metal_sheen.tga
                tcGen environment
		rgbGen identity   
	}
        {
		map textures/mono/metal_light_ceiling.tga
		blendfunc filter
                rgbGen identity
	}
        {
		map textures/mono/metal_light_ceiling.blend.tga
		blendfunc add
                rgbgen wave sin 0.8 0.2 0.5 3.0
	}
}

textures/mono/metal_light_decal
{
	q3map_surfacelight 600
	q3map_lightimage textures/mono/light.tga
	surfaceparm nomarks
	surfaceparm nonsolid
	polygonOffset
	nopicmip
	{
		map textures/mono/env_metal_sheen.tga
                tcGen environment
		rgbGen identity   
	}
        {
		map textures/mono/metal_light_decal.tga
		blendfunc filter
                rgbGen identity
	}
        {
		map textures/mono/metal_light_decal.blend.tga
		blendfunc add
                rgbgen wave sin 0.8 0.2 0.5 3.0
	}
}

textures/mono/darkness
{
	qer_nocarve
	surfaceparm	trans
	surfaceparm	nonsolid
	surfaceparm	fog
	surfaceparm	nolightmap
	fogparms ( 0.0025 0.00125 0.00075 ) 1600
}